package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class AnswerSearchRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "bookId", value = "练习册id", required = true)
    private String bookId;

    @ApiModelProperty(name = "exerciseBookCourseId", value = "课时id", required = true)
    private String exerciseBookCourseId;

    @ApiModelProperty(name = "pageIndex", value = "页码", required = true)
    private int pageIndex;

    @ApiModelProperty(name = "homeworkId", value = "学生当天作业id", required = false)
    private String homeworkId;

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getExerciseBookCourseId() {
        return exerciseBookCourseId;
    }

    public void setExerciseBookCourseId(String exerciseBookCourseId) {
        this.exerciseBookCourseId = exerciseBookCourseId;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
}
